Bug 1633009 - install gimp and mypaint together failed.
Summary: install gimp and mypaint together failed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mypaint
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sergey Avseyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1644743 (view as bug list)
Depends On: 1669776 1676410
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 04:53 UTC by yucef sourani
Modified: 2019-11-05 04:15 UTC (History)
15 users (show)

Fixed In Version: mypaint-2.0.0-0.3.alpha.12.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 04:15:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description yucef sourani 2018-09-26 04:53:08 UTC
sudo dnf install mypaint gimp
Last metadata expiration check: 0:38:08 ago on Wed 26 Sep 2018 07:11:29 AM EEST.
Error: 
 Problem: conflicting requests
  - package libmypaint-1.3.0-9.fc29.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-19.fc29.i686
  - package libmypaint-1.3.0-9.fc29.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-19.fc29.x86_64
  - package gimp-2:2.10.6-2.fc29.x86_64 requires libmypaint-1.3.so.0()(64bit), but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)

Comment 1 yucef sourani 2018-10-04 03:55:24 UTC
The problem still exists

Comment 2 Elliott Sales de Andrade 2018-11-17 01:37:15 UTC
Re-assigning to mypaint, because it needs to be rebuilt, patched, or bumped to some sort of snapshot.

Comment 3 Elliott Sales de Andrade 2019-01-27 11:00:55 UTC
*** Bug 1644743 has been marked as a duplicate of this bug. ***

Comment 4 Elliott Sales de Andrade 2019-01-27 11:02:07 UTC
2.0.0-alpha.0 is out, which likely will fix it. Not sure if the packager want to use such an early alpha version though.

Comment 5 Sergey Avseyev 2019-01-27 15:19:32 UTC
I'm going to build alpha version for rawhide and check if it can go with current libmypaint, but it is likely that libmypaint also have to be updated to 2.0 alpha.

Comment 6 cornel panceac 2019-02-14 14:33:25 UTC
The problem seems to be in libmypaint, since (if my understanding is correct) it expects mypaint 1.3.0 which does not exist. Who can check if this is the case?

Comment 7 cornel panceac 2019-02-14 14:57:23 UTC
"We are working on making libmypaint an independent library."
https://github.com/mypaint/libmypaint/releases

Comment 8 Sergey Avseyev 2019-02-14 15:13:40 UTC
I'm packaging new libmypaint as "libmypaint2" package, and next "mypaint" package will not bundle libmypaint. So stay tuned.

Comment 9 Sergey Avseyev 2019-02-14 17:00:05 UTC
Currently the fix is blocked by mypaint-brushes package update, but you can try to install mypaint from my COPR repository:

    dnf copr enable avsej/mypaint
    dnf install mypaint

Comment 10 Mike McLean 2019-08-05 16:38:54 UTC
Still a problem

# dnf install mypaint
Last metadata expiration check: 0:05:27 ago on Mon 05 Aug 2019 12:31:13 PM EDT.
Error: 
 Problem: problem with installed package libmypaint-1.3.0-9.fc29.x86_64
  - package libmypaint-1.3.0-9.fc29.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-19.fc29.i686
  - conflicting requests
  - package libmypaint-1.3.0-9.fc29.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-19.fc29.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
# rpm -e libmypaint-1.3.0-9.fc29.x86_64
error: Failed dependencies:
        libmypaint-1.3.so.0()(64bit) is needed by (installed) gimp-2:2.10.12-1.fc29.x86_64

Comment 11 Sergio Losilla 2019-10-21 03:40:25 UTC
Still a problem.

$ dnf install mypaint
...
Error: 
 Problem: problem with installed package libmypaint-1.3.0-12.fc30.x86_64
  - package libmypaint-1.3.0-12.fc30.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-20.fc30.i686
  - conflicting requests
  - package libmypaint-1.3.0-12.fc30.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-20.fc30.x86_64

Comment 12 Ben Cotton 2019-10-31 18:45:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora Update System 2019-11-01 15:49:00 UTC
FEDORA-2019-e2c0ecb03a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e2c0ecb03a

Comment 14 Fedora Update System 2019-11-03 06:01:35 UTC
mypaint-2.0.0-0.3.alpha.12.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e2c0ecb03a

Comment 15 Fedora Update System 2019-11-05 04:15:17 UTC
mypaint-2.0.0-0.3.alpha.12.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.